package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["hongze/hongze_chart_lib/controllers:ChartController"] = append(beego.GlobalControllerRouter["hongze/hongze_chart_lib/controllers:ChartController"],
        beego.ControllerComments{
            Method: "ChartInfoDetail",
            Router: "/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_chart_lib/controllers:ChartController"] = append(beego.GlobalControllerRouter["hongze/hongze_chart_lib/controllers:ChartController"],
        beego.ControllerComments{
            Method: "ChartInfoRefresh",
            Router: "/refresh",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
